Part Ellipse

From FreeCAD Documentation
Revision as of 18:10, 22 February 2022 by C4e (talk | contribs) (→‎Data)

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part Ellipse

Menu location
Part → Create primitives → Ellipse
Workbenches
Part, OpenSCAD
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

The Part Ellipse command creates a parametric ellipse shape.

FreeCAD creates an ellipse, with default values for major and minor radius and the angles for the start and end point of the curve.

By default, the ellipse is positioned with its center point at the origin (0,0,0). Its major radius goes to the x-direction. The minor radius goes to the y-direction. The shape lays on the xy-area.

Screenshot of Part Ellipse

Usage

  1. There are several ways to invoke the command:
    • Press the Create Primitives... button.
    • Select the Part → Create Primitives → Create Primitives... option from the menu.
    • Select the Ellipse option from the menu.
  2. Set options and press Create.
  3. To close the dialog press Close.

Example

Part Ellipse scripting example

A Part Ellipse object with the values of the bottom scripting example are shown here.

Properties

See also: Property editor.

A Part Ellipse object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Box

  • DataMajorRadius (Length): The major radius of the ellipse. This is the dimension in the x-direction.
  • DataMinorRadius (Length): The major radius of the ellipse. This is the dimension in the y-direction.
  • DataAngle1 (Angle): The first angle of the ellipse. This is the angle for the start point of the curve.
  • DataAngle2 (Angle): The second angle of the ellipse. This is the angle for the end point of the curve.

Scripting

A Part Box is created with the addObject() method of the document.

ellipse = FreeCAD.ActiveDocument.addObject("Part::Ellipse", "myEllipse")
  • Where myBox is the name for the object. The name must be unique for the entire document.
  • The function returns the newly created object.

The Label is the user editable name for the object. It can be easily changed by

ellipse.label = "new ellipseName"

You can access and modify attributes of the box object. For example, you may wish to modify the two radii and angles of the ellipse.

ellipse.MajorRadius = 20
ellipse.MinorRadius = 10
ellipse.Angle1 = 45
ellipse.Angle2 = 135

The result will be a part of an ellipse.

You can change its placement and orientation with:

ellipse.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(30, 45, 10))